Knowledgebase: 8) Product Compatibility
Compatibility - Handling differences between Frog 3 & FrogLearn in IE
Posted by , Last modified by Edd Clementson on 16 August 2016 04:25 PM

We acknowledge that there is a significant difference between how Frog 3 and FrogLearn interact with Internet Explorer, especially the modern versions (10 and 11).
 
Frog 3 tends to work best with Compatibility View enabled, and FrogLearn will work best with Compatibility View disabled. This is because Frog 3 is an older product built prior to HTML5 and so responds best in a browser environment built to work with older websites. FrogLearn is built in HTML5 and so is cross browser compatible and able to work in the latest versions of all browsers without adjustment of the settings. FrogLearn does not behave well in Compatibility View because it's effectively trying to run the product in a browser from the past, it's simply not equipped to deal with FrogLearn's features.
 
This of course presents a dilemma to schools using both products because it's simply not user friendly to ask users to switch between Compatibility View and many schools have this setting locked down by Group Policy.
 
Frog have made a decision that in order to allow schools to continue using Frog 3 and embedding content where necessary into FrogLearn, we will attempt to up-skill Frog 3 to cope with a modern browser. This is why we now support Frog 3 in Chrome as well as Firefox and IE10 and 11. We ask that any issue found in Frog 3 when using IE out of compatibility view is reported to us and we will log this as a bug with our Development Team. The workaround for the issue may be to use Compatibility View for the time being, but we will endeavour to resolve the issue so that the content can be embedded.
 
For any longer term fixes or for areas of the product where it is simply not possible to update them so that they will work out of Compatibility View, we would attempt to assist you in rebuilding the page using different bricks or widgets which do function better in Compatibility View.
 
As a result of this, our advice to schools looking to use both Frog 3 and FrogLearn in IE would be to run both out of Compatibility View. Any issues with either platform should then be reported to Frog as potential bugs. I would recommend running through any pages that you may want to continue using in Frog 3 to identify any major issues that we can assist with or provide potential workarounds to prior to embedding them in FrogLearn.
 
We know that there will be a period where this may cause you some issues, however by catching any bugs at an early stage we hope to be able to repair any particularly problematic areas in Frog 3 and allow a seamless embedding of the platform where appropriate.

(1 vote(s))
Helpful
Not helpful

Comments (0)
Post a new comment
 
 
Full Name:
Email:
Comments: